Bug 1307256 - [abrt] hamster-time-tracker: strlen(): python2.7 killed by SIGSEGV
[abrt] hamster-time-tracker: strlen(): python2.7 killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hamster-time-tracker (Show other bugs)
rawhide
x86_64 Unspecified
high Severity medium
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c30b681aa04dedee928feaba429...
:
: 1301730 1309485 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 12:34 EST by Daniel Seither
Modified: 2016-02-25 03:52 EST (History)
12 users (show)

See Also:
Fixed In Version: hamster-time-tracker-2.0-0.3.rc1.fc23 hamster-time-tracker-2.0-0.3.rc1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 15:52:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.81 KB, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: core_backtrace (10.45 KB, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: dso_list (12.12 KB, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: environ (970 bytes, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: exploitable (100 bytes, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: maps (49.27 KB, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: mountinfo (3.55 KB, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: open_fds (872 bytes, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-13 12:34 EST, Daniel Seither
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755721 None None None 2016-02-13 16:49 EST

  None (edit)
Description Daniel Seither 2016-02-13 12:34:15 EST
Description of problem:
I tried to start hamster-service from the command line. This is the stack trace I got:

/usr/lib/python2.7/site-packages/hamster/lib/stuff.py:25: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk as gtk
/usr/lib/python2.7/site-packages/hamster/idle.py:24: PyGIWarning: GConf was imported without specifying a version first. Use gi.require_version('GConf', '2.0') before import to ensure that the right version gets loaded.
  from gi.repository import GConf as gconf
hamster-service up
[1]    2474 segmentation fault (core dumped)  hamster-service

Version-Release number of selected component:
hamster-time-tracker-2.0-0.2.rc1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        python2 /usr/bin/hamster-service
crash_function: strlen
executable:     /usr/bin/python2.7
global_pid:     7437
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 _ih_sub_new at inotify-sub.c:38
 #3 g_inotify_file_monitor_start at ginotifyfilemonitor.c:64
 #4 g_local_file_monitor_start at glocalfilemonitor.c:777
 #5 g_local_file_monitor_new_for_path at glocalfilemonitor.c:861
 #6 g_file_monitor_file at gfile.c:5328
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 pygi_invoke_c_callable at pygi-invoke.c:645
 #10 pygi_function_cache_invoke at pygi-cache.c:820

Potential duplicate: bug 1301730
Comment 1 Daniel Seither 2016-02-13 12:34:21 EST
Created attachment 1123845 [details]
File: backtrace
Comment 2 Daniel Seither 2016-02-13 12:34:23 EST
Created attachment 1123846 [details]
File: cgroup
Comment 3 Daniel Seither 2016-02-13 12:34:25 EST
Created attachment 1123847 [details]
File: core_backtrace
Comment 4 Daniel Seither 2016-02-13 12:34:26 EST
Created attachment 1123848 [details]
File: dso_list
Comment 5 Daniel Seither 2016-02-13 12:34:28 EST
Created attachment 1123849 [details]
File: environ
Comment 6 Daniel Seither 2016-02-13 12:34:29 EST
Created attachment 1123850 [details]
File: exploitable
Comment 7 Daniel Seither 2016-02-13 12:34:30 EST
Created attachment 1123851 [details]
File: limits
Comment 8 Daniel Seither 2016-02-13 12:34:33 EST
Created attachment 1123852 [details]
File: maps
Comment 9 Daniel Seither 2016-02-13 12:34:34 EST
Created attachment 1123853 [details]
File: mountinfo
Comment 10 Daniel Seither 2016-02-13 12:34:35 EST
Created attachment 1123854 [details]
File: namespaces
Comment 11 Daniel Seither 2016-02-13 12:34:37 EST
Created attachment 1123855 [details]
File: open_fds
Comment 12 Daniel Seither 2016-02-13 12:34:38 EST
Created attachment 1123856 [details]
File: proc_pid_status
Comment 13 Daniel Seither 2016-02-13 12:34:39 EST
Created attachment 1123857 [details]
File: var_log_messages
Comment 14 Felix Schwarz 2016-02-13 13:29:52 EST
Daniel: In bug 1301730 the reporter mentioned that reinstalling "python and glib packages" (sudo dnf reinstall ...) fixed the problem for him.

While I understand that this is not real fix and the problem is very real (given that FAF counted 7567 occurrences) it might help you.

@raphgro: Given the FAF statistics it seems this is also connected to the -rc upgrade. We need to fix these problems urgently. IMHO you should consider even pushing a downgrade to stable if we can't develop a real fix (and given that upstream is pretty much dormant I think there won't be help from that side).
Comment 15 Raphael Groner 2016-02-13 13:37:37 EST
*** Bug 1301730 has been marked as a duplicate of this bug. ***
Comment 16 Raphael Groner 2016-02-13 13:38:57 EST
Bug 1301730 was reported earlier for rawhide, so this bug (as a duplicate) is obviously in rawhide.
Comment 17 Daniel Seither 2016-02-13 16:36:59 EST
I tried reinstalling python and glib2, but to no avail. I temporarily "fixed" the problem by downgrading hamster-time-tracker from 2.0-0.2.rc1 to 1.04-5.

If someone else needs to make hamster work again until there's an update:

dnf downgrade hamster-time-tracker
dnf install 'dnf-command(versionlock)'
dnf versionlock add hamster-time-tracker

The package can later be updated with

dnf versionlock delete hamster-time-tracker
dnf update
Comment 18 Felix Schwarz 2016-02-13 16:40:03 EST
Thank you very much for your effort. I'm debugging this for a few hours and we identified the root cause (which is a glib/gio problem). A assume a Fedora workaround will be added soon-ish.
Comment 19 Daniel Seither 2016-02-13 16:46:36 EST
Great, thanks!
Comment 20 Raphael Groner 2016-02-13 16:49:31 EST
As discussed in IRC, the bug is found in glib2. Same reason for bug #1307253, that should be fixable with the workaround mentioned there.
Comment 21 Fedora Update System 2016-02-15 14:10:12 EST
hamster-time-tracker-2.0-0.3.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d556fdafa
Comment 22 Fedora Update System 2016-02-15 14:10:15 EST
hamster-time-tracker-2.0-0.3.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c97f297cd6
Comment 23 Fedora Update System 2016-02-17 01:25:31 EST
hamster-time-tracker-2.0-0.3.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c97f297cd6
Comment 24 Fedora Update System 2016-02-17 01:28:52 EST
hamster-time-tracker-2.0-0.3.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d556fdafa
Comment 25 Fedora Update System 2016-02-17 15:52:29 EST
hamster-time-tracker-2.0-0.3.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Raphael Groner 2016-02-18 05:04:41 EST
*** Bug 1309485 has been marked as a duplicate of this bug. ***
Comment 27 Fedora Update System 2016-02-25 03:52:36 EST
hamster-time-tracker-2.0-0.3.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.